#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityHappySummerLuckyTurnCFGData
{
	//编号
	int mID;
	//道具
	int mItem;
	//数量
	int mCount;
	//权重
	int mWeight;
};

class M_ActivityHappySummerLuckyTurnCFG
{
public:
private:
	static std::auto_ptr<M_ActivityHappySummerLuckyTurnCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityHappySummerLuckyTurnCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityHappySummerLuckyTurnCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityHappySummerLuckyTurnCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityHappySummerLuckyTurnCFGData> mMapData;
};
